<%@ Language=VBScript %>
<% Option Explicit %>
<!--#include virtual="/adovbs.inc"-->
<%
    'Open up a connection to our Access database that stores the customer
    'information.  We will use a DSN-less connection here.
    Dim objConn
    Set objConn = Server.CreateObject("ADODB.Connection")
    objConn.ConnectionString = "DSN=ProductsDB"
    objConn.Open

    'Create our SQL statement variable
    Dim strSQL
    strSQL = "SELECT * FROM Products WHERE Price <= 100" & _
             " ORDER BY Price DESC"

    'Create a recordset object instance, and execute the SQL statement    
    Dim objRS
    Set objRS = Server.CreateObject("ADODB.Recordset")
    objRS.Open strSQL, objConn

    'We need to create a counting variable to keep track of
    'the total number of records we've processed
    Dim iRecordCount
    iRecordCount = 0

    'We are displaying products whose price is less than $100
    Response.Write "<B>"
    Response.Write "A Listing of Products less than $100.00:"
    Response.Write "</B>"
    Do While Not objRS.EOF
       Response.Write "<BR>" & objRS("Name") & " - " & _
	              FormatCurrency(objRS("Price"))

       'Increment the number of records processed by 1
       iRecordCount = iRecordCount + 1

       'Move on to the next customer
       objRS.MoveNext
    Loop

    'Display how many products cost less than $100
    Response.Write "<P>"
    Response.Write "There were " & FormatNumber(iRecordCount,0)
    Response.Write " records under $100."

    'Clean up our ADO objects
    objRS.Close
    Set objRS = Nothing

    objConn.Close
    Set objConn = Nothing
%>
