<%@ Language=VBScript %>
<% Option Explicit %>
<%
    'Read in the User-Agent header
    Dim strUserAgent
    strUserAgent = Request.ServerVariables("HTTP_USER_AGENT")

    'If the first seven characters are "Mozilla" then the
    'browser is either Internet Explorer or Netscape Navigator
    
    'If the first seven characters are NOT "Mozilla", then
    'we are dealing with some unknown browser type
    
    Dim bolOther, bolIE, bolNN, strVersion, strOS
    bolOther = True
    
    If Left(strUserAgent, 7) = "Mozilla" then
       'Internet Explorer or Netscape Navigator is being used
       bolOther = False
    End If
    
    Dim aParenthesisTerms, strParenString
    
    If bolOther = False then
       'If the characters "MSIE" are in the User-Agent header,
       'then we are dealing with IE
       If InStr(1, strUserAgent, "MSIE") > 1 then
          bolIE = True
          bolNN = False
          'The user agent string contains a string surrounded
          'by parenthesis.  For IE, the second and third items
          'in the parenthesis are the MSIE VersionNumber and OS.
          
          'So, use split to create an array of the terms
          strParenString = Mid(strUserAgent, InStr(1,strUserAgent,"(") + 1, _
                               Len(strUserAgent))
                               
          aParenthesisTerms = split(strParenString, ";")

          strVersion = Right(aParenthesisTerms(1), _
                             Len(aParenthesisTerms(1)) - 5)
          strOS = aParenthesisTerms(2)
          If Right(strOS,1) = ")" then
             strOS = Left(strOS, Len(strOS) - 1)
          End If
        Else
          'The user is visiting with Netscape
          bolNN = True
          bolIE = False
          'The OS is represented by the first term in the
          'parenthesis, while the version is after
          '"Mozilla/" and before the left bracket
          
          'So, use split to create an array of the terms
          strParenString = Mid(strUserAgent, InStr(1,strUserAgent,"(") + 1, _
                               Len(strUserAgent))
                               
          aParenthesisTerms = split(strParenString, ";")

          strVersion = Mid(strUserAgent, 9, _
                           InStr(1,strUserAgent,"[") - 9)
          strOS = aParenthesisTerms(0)
          If Right(strOS,1) = ")" then
             strOS = Left(strOS, Len(strOS) - 1)
          End If
        
        End If
    End If
%>

<HTML>
<BODY>
  <B>Your undecoded <CODE>User-Agent</CODE> string:</B><BR>
  <%=strUserAgent%>
  <P>
  
<%
  If bolIE then Response.Write "You are using Internet Explorer."
  If bolNN then Response.Write "You are using Netscape Navigator."

  If bolOther then
    Response.Write "You are using a non-standard browser."
  Else    
    Response.Write "<BR>Your browser's version is " & strVersion
    Response.Write "<BR>OS: " & strOS
  End If
%>  
</BODY>
</HTML>
